package aspectEditor.aspectEditorUtils;
import java.util.HashSet;

import edu.neu.ccs.demeter.aplib.cd.ClassGraph;
public abstract class NodeSubsetExpression {
  
  public HashSet nodesTraversed = new HashSet();
  public HashSet edgesTraversed = new HashSet();
  
  //abstract function for interpreting NodeSubExpressions
  public abstract void interpretExpression(SelectorL s, ClassGraph c);

  
  public NodeSubsetExpression() {
    super();
  }
  void universal_trv0_bef(UniversalVisitor _v_) {
    ((UniversalVisitor) _v_).before(this);
  }

  void universal_trv0_aft(UniversalVisitor _v_) {
    ((UniversalVisitor) _v_).after(this);
  }

  void universal_trv0(UniversalVisitor _v_) {  }

}
